SuperLU 6.0.0

Functions
ilu_zdrop_row.c File Reference

Drop small rows from L. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include "slu_zdefs.h"`
Include dependency graph for ilu_zdrop_row.c:

## Functions
void | zswap_ (int *, doublecomplex[], int *, doublecomplex[], int *)
void | zaxpy_ (int *, doublecomplex *, doublecomplex[], int *, doublecomplex[], int *)
void | zcopy_ (int *, doublecomplex[], int *, doublecomplex[], int *)
void | dcopy_ (int *, double[], int *, double[], int *)
double | dzasum_ (int *, doublecomplex *, int *)
double | dznrm2_ (int *, doublecomplex *, int *)
double | dnrm2_ (int *, double[], int *)
int | izamax_ (int *, doublecomplex[], int *)
int | ilu_zdrop_row (superlu_options_t *options, int first, int last, double drop_tol, int quota, int *nnzLj, double *fill_tol, GlobalLU_t *Glu, double dwork[], double dwork2[], int lastc)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.1) --
    Lawrence Berkeley National Laboratory.
    June 30, 2009

## Function Documentation

## ◆ dcopy_()

void dcopy_ | ( | int * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ dnrm2_()

double dnrm2_ | ( | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ dzasum_()

double dzasum_ | ( | int * | ,
|  | doublecomplex * | ,
|  | int * |
| ) |  |

## ◆ dznrm2_()

double dznrm2_ | ( | int * | ,
|  | doublecomplex * | ,
|  | int * |
| ) |  |

## ◆ ilu_zdrop_row()

int ilu_zdrop_row | ( | superlu_options_t * | options,
|  | int | first,
|  | int | last,
|  | double | drop_tol,
|  | int | quota,
|  | int * | nnzLj,
|  | double * | fill_tol,
|  | GlobalLU_t * | Glu,
|  | double | dwork[],
|  | double | dwork2[],
|  | int | lastc
| ) |  |

    Purpose
    =======
       ilu_zdrop_row() - Drop some small rows from the previous
       supernode (L-part only).

## ◆ izamax_()

int izamax_ | ( | int * | ,
|  | doublecomplex | [],
|  | int * |
| ) |  |

## ◆ zaxpy_()

void zaxpy_ | ( | int * | ,
|  | doublecomplex * | ,
|  | doublecomplex | [],
|  | int * | ,
|  | doublecomplex | [],
|  | int * |
| ) |  |

## ◆ zcopy_()

void zcopy_ | ( | int * | ,
|  | doublecomplex | [],
|  | int * | ,
|  | doublecomplex | [],
|  | int * |
| ) |  |

## ◆ zswap_()

void zswap_ | ( | int * | ,
|  | doublecomplex | [],
|  | int * | ,
|  | doublecomplex | [],
|  | int * |
| ) |  |